Gecode::Iter::Values::Singleton Class Reference
Common functionality » Range and value iterators » Value iterators

Value iterator for single value. More...

`#include <values-singleton.hpp>`

## Protected Attributes

bool | done
| Whether the iterator is done.
int | v
| The single value.

## Constructors and initialization

| Singleton (void)
| Default constructor.
| Singleton (int v)
| Initialize with value v.
void | init (int v)
| Initialize with value v.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

Value iterator for single value.

Definition at line 42 of file values-singleton.hpp.

## Constructor & Destructor Documentation

## Singleton() [1/2]

Gecode::Iter::Values::Singleton::Singleton | ( | void |  | ) |

inline

Default constructor.

Definition at line 76 of file values-singleton.hpp.

## Singleton() [2/2]

Gecode::Iter::Values::Singleton::Singleton | ( | int | v | ) |

inline

Initialize with value v.

Definition at line 79 of file values-singleton.hpp.

## Member Function Documentation

## init()

void Gecode::Iter::Values::Singleton::init | ( | int | v | ) |

inline

Initialize with value v.

Definition at line 83 of file values-singleton.hpp.

## operator()()

bool Gecode::Iter::Values::Singleton::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 92 of file values-singleton.hpp.

## operator++()

void Gecode::Iter::Values::Singleton::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 88 of file values-singleton.hpp.

## val()

int Gecode::Iter::Values::Singleton::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 97 of file values-singleton.hpp.

## Member Data Documentation

## done

bool Gecode::Iter::Values::Singleton::done

protected

Whether the iterator is done.

Definition at line 45 of file values-singleton.hpp.

## v

int Gecode::Iter::Values::Singleton::v

protected

The single value.

Definition at line 47 of file values-singleton.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/values-singleton.hpp